﻿@import url("https://fonts.googleapis.com/css2?family=Proza+Libre&display=swap");

:root {
    --clr-main: #132d7d;
}

body {
    font-family: 'Proza Libre', sans-serif;
    color: black;
}

.bg-main {
    background-color: var(--clr-main);
    color: white;
}

.text-main {
    color: var(--clr-main) !important;
}

.footer-ico-brd {
    background-color: var(--clr-main);
    padding: 5px 10px 5px 10px;
    border-radius: 8px 8px;
    color: white;
}

.nav-link-ttl {
    font-size: 20px;
    color: black;
    text-decoration: none;
    transition: 0.3s;
}

    .nav-link-ttl:hover {
        color: var(--clr-main);
        font-size: 25px;
        font-weight: 800;
        transition: 0.3s;
    }

.nav-link-ttl-active {
    font-size: 25px;
    color: var(--clr-main);
    font-weight: 800;
    text-decoration: none;
}

.home-head-bg {
    background: url('../Assets/home/bg-home-head.png') center center no-repeat;
    min-height: 70vh;
    background-size: cover;
    padding: 0;
}

ttlHead {
    font-size: 3.8em;
    font-weight: bold;
}

.ttlHeadPage {
    font-size: 3.8em;
    font-weight: bold;
}

@media(max-width: 991px) {
    .home-head-bg {
        background: url('../Assets/home/bg-home-head2.png') center center no-repeat;
        min-height: 50vh;
        background-size: cover;
    }

    ttlHead {
        font-size: 2.7em;
        font-weight: bold;
    }

    .ttlHeadPage {
        font-size: 2.7em;
        font-weight: bold;
    }
}

.border-ttl {
    border: 2px solid;
    max-width: 60px;
    margin-top: 10px;
    margin-bottom: 12px;
}

homeProd {
    overflow-x: hidden;
    display: flex;
    position: sticky;
    top: 0;
}

.homeProdImg {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    overflow: hidden !important;
}

.card-service {
    transition: all 0.5s ease;
}

.service-icon {
    font-size: 35px;
    background-color: var(--clr-main) !important;
    color: white !important;
    border-radius: 50% !important;
    padding: 15px 12px 15px 12px;
    transition: all 0.3s ease;
}

.service-img {
    width: 70px;
    height: 70px;
    border-radius: 50% !important;
    transition: all 0.3s ease;
}

.service-img1 {
    display: none;
    transition: all 0.3s ease;
}

.service-icon1 {
    font-size: 35px;
    background-color: var(--clr-main) !important;
    color: white !important;
    border-radius: 50% !important;
    padding: 15px 14px 15px 14px;
    transition: all 0.5s ease;
}

.card-service:hover {
    background-color: var(--clr-main) !important;
    color: white !important;
    transition: all 0.5s ease;
}

    .card-service:hover .service-img {
        display: none;
        transition: all 0.3s ease;
    }

    .card-service:hover .service-img1 {
        display: block;
        width: 70px;
        height: 70px;
        border-radius: 50% !important;
        transition: all 0.3s ease;
    }

    .card-service:hover .service-icon {
        font-size: 35px;
        background-color: white !important;
        color: var(--clr-main) !important;
        border-radius: 50% !important;
        padding: 15px 12px 15px 12px;
        transition: all 0.5s ease;
    }

    .card-service:hover .service-icon1 {
        font-size: 35px;
        background-color: white !important;
        color: var(--clr-main) !important;
        border-radius: 50% !important;
        padding: 15px 14px 15px 14px;
        transition: all 0.5s ease;
    }

.HomeHead1 {
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.3) 80%, black 450px) center center;
    color: white;
}

.heroBgScroll {
    background: url('../Assets/hero-bg.png') center center no-repeat;
    background-attachment: scroll;
    min-width: 100%;
    color: white !important;
}

.heroBgFixed {
    background: url('../Assets/hero-bg.png') center center no-repeat;
    background-attachment: fixed;
    min-width: 100%;
    height: 25vh;
    color: white !important;
}

.crd-contact {
    background-color: rgba(248,249,250,1) !important;
    transition: all 0.5s ease
}

.content-contact {
    background-color: var(--clr-main) !important;
    color: white !important;
    transition: all 0.5s ease
}

.col-md-6:hover .content-contact {
    background-color: white !important;
    color: var(--clr-main) !important;
    transition: all 0.5s ease
}

.col-md-6:hover .crd-contact {
    background-color: var(--clr-main) !important;
    color: white !important;
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.15) !important;
    transition: all 0.5s ease
}

.footer-ico-brd {
    background-color: white;
    padding: 5px 10px 5px 10px;
    border-radius: 8px 8px;
    color: var(--clr-main);
}

.footer-ico-brd2 {
    background-color: var(--clr-main);
    padding: 5px 10px 5px 10px;
    border-radius: 8px 8px;
    color: white;
}

.prodImgZoom {
    transition: transform 0.5s;
}

    .prodImgZoom:hover {
        transform: scale(1.1);
        transition: transform 0.5s;
    }

#body-content {
    background-color: white;
}

footer {
    width: 100%;
    position: fixed;
    left: 0;
    bottom: 0;
    z-index: -10;
}

@media (max-width: 425px) {
    .nav-brand-text {
        font-size: 20px;
        font-weight: bold;
    }
}

@media (min-width: 426px) {
    .nav-brand-text {
        font-size: 30px;
        font-weight: bold;
    }
}

.crd-expertise {
    color: var(--clr-main);
    position: relative;
    box-shadow: 0 1rem 3rem rgba(0,0,0,.175) !important;
    border: 0 !important;
    transition: 300ms ease-in-out;
}

    .crd-expertise:hover {
        background-color: royalblue;
        color: white;
        transition: 300ms ease-in-out;
    }

    .crd-expertise .img-expertise {
        transform: translate(-50%,-50%) !important;
        left: 50% !important;
        border-top: 0 !important;
        position: absolute;
        width: 140px;
        border-radius: 50% !important;
        box-shadow: 0 1rem 3rem rgba(0,0,0,.175) !important;
        border: 1px solid gray;
        transition: 500ms ease-in-out;
    }

    .crd-expertise:hover .img-expertise {
        width: 160px;
        transition: 500ms ease-in-out;
    }

    .crd-expertise .cntn-expertise {
        margin-top: 5.3em;
    }

.about-ideology .about-ideology-num {
    background-color: #ffc107 !important;
    padding: 6px 8px 6px 8px !important;
    border-radius: 0.375rem !important;
    box-shadow: 0 .125rem .25rem rgba(0,0,0,.075) !important;
    font-size: 28px;
    font-weight: 900;
    transition: .3s ease-in-out;
}

.about-ideology .about-ideology-text {
    font-size: 20px;
    color: lightslategray;
    transition: .3s ease-in-out;
}

.about-ideology:hover .about-ideology-num {
    padding: 10px 12px 10px 12px !important;
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.15) !important;
    transition: .3s ease-in-out;
}

.about-ideology:hover .about-ideology-text {
    font-weight: bold;
    color: black !important;
    transition: .3s ease-in-out;
}

.btn-prod-section {
    background-color: white !important;
    color: black !important;
}

    .btn-prod-section.active {
        background-color: white !important;
        color: black !important;
        text-underline-offset: 5px; /* Adjust the value as needed */
        border-bottom: 4px solid var(--clr-main);
        border-radius: 0 !important;
    }

.btn-service-section {
    background-color: white !important;
    color: black !important;
}

    .btn-service-section.active {
        background-color: white !important;
        color: black !important;
        text-underline-offset: 5px; /* Adjust the value as needed */
        border-bottom: 4px solid var(--clr-main);
        border-radius: 0 !important;
    }

.vision-icon {
    padding: 8px 6px 8px 6px;
}

.text-justify {
    text-align: justify;
    text-justify: inter-word;
}

.mySwiper {
    max-width: 100%;
    height: auto;
}

.mySwiper1 {
    box-sizing: border-box;
    padding: 10px 0;
}

    .mySwiper1 .swiper-slide {
        width: 25%;
        height: 100%;
        opacity: 0.4;
    }

    .mySwiper1 .swiper-slide-thumb-active {
        opacity: 1;
    }

/* Main Gallery Slider */
.gallery-slider {
    width: 100%;
    padding-bottom: 50px;
}

    .gallery-slider .swiper-slide {
        display: flex;
        justify-content: center;
        align-items: center;
    }

        .gallery-slider .swiper-slide img {
            width: 100%;
            height: 250px;
            object-fit: cover;
            border-radius: 12px;
            transition: transform .3s ease;
        }

            .gallery-slider .swiper-slide img:hover {
                transform: scale(1.03);
            }

@media (max-width: 768px) {
    .gallery-slider .swiper-slide img {
        height: 200px;
    }
}

.swiper-slide img {
    max-width: 100%;
    height: auto;
    object-fit: cover;
}

/* Pagination */
.gallery-slider .swiper-pagination {
    bottom: 0 !important;
}

/* Navigation Buttons */
swiper-container::part(button-prev),
swiper-container::part(button-next) {
    background-color: rgba(255,255,255,.8);
    color: black;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

    swiper-container::part(button-prev)::after,
    swiper-container::part(button-next)::after {
        font-size: 16px;
    }